<?php

namespace UnicaenSynchro;

use Unicaen\Console\Router\Simple;
use UnicaenSynchro\Controller\SynchronisationConsoleController;
use UnicaenSynchro\Controller\SynchronisationConsoleControllerFactory;
use UnicaenSynchro\Service\Synchronisation\SynchronisationService;
use UnicaenSynchro\Service\Synchronisation\SynchronisationServiceFactory;
use UnicaenPrivilege\Guard\PrivilegeController;

return [
    'bjyauthorize' => [
        'guards' => [
            PrivilegeController::class => [
                [
                    'controller' => SynchronisationConsoleController::class,
                    'action' => [
                        'synchroniser-all',
                        'synchroniser',
                    ],
                    'roles' => [],
                ],
            ],
        ],
    ],

    'console' => [
        'router' => [
            'routes' => [
                'synchroniser-all' => [
                    'type' => Simple::class,
                    'options' => [
                        'route' => 'synchroniser-all',
                        'defaults' => [
                            /** @see SynchronisationConsoleController::synchroniserAllAction() */
                            'controller' => SynchronisationConsoleController::class,
                            'action' => 'synchroniser-all'
                        ],
                    ],
                ],
                'synchroniser' => [
                    'type' => Simple::class,
                    'options' => [
                        'route' => 'synchroniser [--name=]',
                        'defaults' => [
                            /** @see SynchronisationConsoleController::synchroniserAction() */
                            'controller' => SynchronisationConsoleController::class,
                            'action' => 'synchroniser'
                        ],
                    ],
                ],
            ],
        ],
    ],

    'router'          => [
        'routes' => [
        ],
    ],

    'service_manager' => [
        'factories' => [
            SynchronisationService::class => SynchronisationServiceFactory::class,
        ],
    ],
    'controllers'     => [
        'factories' => [
            SynchronisationConsoleController::class => SynchronisationConsoleControllerFactory::class
        ],
    ],
    'form_elements' => [
        'factories' => [],
    ],
    'hydrators' => [
        'factories' => [],
    ]

];